
/**
 * Module dependencies.
 */

var express = require('express')
  , routes = require('./routes');

var app = module.exports = express.createServer();

// JADE Configuration ////////////////////////////////////////////////////////////////
	app.configure(function(){
	  app.set('views', __dirname + '/views');
	  app.set('view engine', 'jade');
	  app.use(express.bodyParser());
	  app.use(express.methodOverride());
	  app.use(app.router);
	  app.use(express.static(__dirname + '/public'));
	});

	app.configure('development', function(){
	  app.use(express.errorHandler({ dumpExceptions: true, showStack: true })); 
	});

	app.configure('production', function(){
	  app.use(express.errorHandler()); 
	});

// Jade Routes ////////////////////////////////////////////////////////////////////////
	
	app.get('/', routes.index);
	app.get('/example1-1', routes.example1_1);
	app.get('/example1-2', routes.example1_2);
	app.get('/example1-3', routes.example1_3);
	app.get('/example1-4', routes.example1_4);
	app.get('/example1-5', routes.example1_5);
	app.get('/example1-6', routes.example1_6);
	app.get('/example1-7', routes.example1_7);
	app.get('/example2-1', routes.example2_1);
	app.get('/example2-2', routes.example2_2);
	app.get('/example3', routes.example3);

app.listen(process.env.PORT || 3005);
console.log("Express server listening on port %d in %s mode", app.address().port, app.settings.env);
